Loading...
Searching...
No Matches
gx_system::Measure Struct Reference

`#include <gx_system.h>`

## Public Member Functions

float | ns2ms (int n) const
void | reset ()
| Measure ()
void | print_accum (const Accum &accum, const char *prefix, bool verbose, int total=0) const
void | print (bool verbose) const

## Public Attributes

Accum | period
Accum | duration
Accum | duration1
Accum | duration2
unsigned int | FPUStatus1
unsigned int | MXStatus1
unsigned int | FPUStatus2
unsigned int | MXStatus2

## Detailed Description

Definition at line 182 of file gx_system.h.

## Constructor & Destructor Documentation

## Measure()

gx_system::Measure::Measure | ( |  | ) |

inline

Definition at line 193 of file gx_system.h.

## Member Function Documentation

## ns2ms()

float gx_system::Measure::ns2ms | ( | int | n | ) | const

inline

Definition at line 191 of file gx_system.h.

## print()

void gx_system::Measure::print | ( | bool | verbose | ) | const

## print_accum()

void gx_system::Measure::print_accum | ( | const Accum & | accum,
|  | const char * | prefix,
|  | bool | verbose,
|  | int | total = 0 ) const

## reset()

void gx_system::Measure::reset | ( |  | ) |

Referenced by Measure().

## Member Data Documentation

## duration

Accum gx_system::Measure::duration

Definition at line 184 of file gx_system.h.

## duration1

Accum gx_system::Measure::duration1

Definition at line 185 of file gx_system.h.

## duration2

Accum gx_system::Measure::duration2

Definition at line 186 of file gx_system.h.

## FPUStatus1

unsigned int gx_system::Measure::FPUStatus1

Definition at line 187 of file gx_system.h.

## FPUStatus2

unsigned int gx_system::Measure::FPUStatus2

Definition at line 189 of file gx_system.h.

## MXStatus1

unsigned int gx_system::Measure::MXStatus1

Definition at line 188 of file gx_system.h.

## MXStatus2

unsigned int gx_system::Measure::MXStatus2

Definition at line 190 of file gx_system.h.

## period

Accum gx_system::Measure::period

Definition at line 183 of file gx_system.h.

The documentation for this struct was generated from the following file:

- src/headers/gx_system.h